Bug 989958 - [abrt] remmina-1.0.0-7.fc19: gdi_memblt: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-1.0.0-7.fc19: gdi_memblt: Process /usr/bin/remmina was killed ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:c3d5d966a39c0e72668c4fe340a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 04:18 EDT by Pavel Alexeev
Modified: 2014-08-18 05:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 05:01:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (194.58 KB, text/plain)
2013-07-30 04:18 EDT, Pavel Alexeev
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-30 04:18 EDT, Pavel Alexeev
no flags Details
File: core_backtrace (1.75 KB, text/plain)
2013-07-30 04:18 EDT, Pavel Alexeev
no flags Details
File: dso_list (14.34 KB, text/plain)
2013-07-30 04:18 EDT, Pavel Alexeev
no flags Details
File: environ (2.75 KB, text/plain)
2013-07-30 04:18 EDT, Pavel Alexeev
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-30 04:18 EDT, Pavel Alexeev
no flags Details
File: maps (90.40 KB, text/plain)
2013-07-30 04:19 EDT, Pavel Alexeev
no flags Details
File: open_fds (18.93 KB, text/plain)
2013-07-30 04:19 EDT, Pavel Alexeev
no flags Details
File: proc_pid_status (960 bytes, text/plain)
2013-07-30 04:19 EDT, Pavel Alexeev
no flags Details
File: var_log_messages (6.27 KB, text/plain)
2013-07-30 04:19 EDT, Pavel Alexeev
no flags Details
File: xsession_errors (128 bytes, application/octet-stream)
2013-07-30 04:19 EDT, Pavel Alexeev
no flags Details

  None (edit)
Description Pavel Alexeev 2013-07-30 04:18:30 EDT
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/remmina -i
crash_function: gdi_memblt
executable:     /usr/bin/remmina
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdi_memblt at /usr/src/debug/freerdp-1.0.2/libfreerdp-gdi/gdi.c:624
 #1 update_recv_primary_order at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/orders.c:1826
 #2 update_recv_order at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/orders.c:2018
 #3 update_recv_orders at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/update.c:45
 #4 update_recv at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/update.c:271
 #5 rdp_recv_data_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:492
 #6 rdp_recv_tpkt_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:722
 #7 rdp_recv_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:768
 #8 rdp_recv_callback at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:830
 #9 transport_check_fds at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/transport.c:357

Potential duplicate: bug 836520
Comment 1 Pavel Alexeev 2013-07-30 04:18:35 EDT
Created attachment 780436 [details]
File: backtrace
Comment 2 Pavel Alexeev 2013-07-30 04:18:42 EDT
Created attachment 780437 [details]
File: cgroup
Comment 3 Pavel Alexeev 2013-07-30 04:18:46 EDT
Created attachment 780438 [details]
File: core_backtrace
Comment 4 Pavel Alexeev 2013-07-30 04:18:49 EDT
Created attachment 780439 [details]
File: dso_list
Comment 5 Pavel Alexeev 2013-07-30 04:18:52 EDT
Created attachment 780440 [details]
File: environ
Comment 6 Pavel Alexeev 2013-07-30 04:18:57 EDT
Created attachment 780441 [details]
File: limits
Comment 7 Pavel Alexeev 2013-07-30 04:19:03 EDT
Created attachment 780443 [details]
File: maps
Comment 8 Pavel Alexeev 2013-07-30 04:19:07 EDT
Created attachment 780444 [details]
File: open_fds
Comment 9 Pavel Alexeev 2013-07-30 04:19:10 EDT
Created attachment 780445 [details]
File: proc_pid_status
Comment 10 Pavel Alexeev 2013-07-30 04:19:14 EDT
Created attachment 780446 [details]
File: var_log_messages
Comment 11 Pavel Alexeev 2013-07-30 04:19:17 EDT
Created attachment 780447 [details]
File: xsession_errors
Comment 12 le0pard13 2013-11-20 13:56:53 EST
The error occurs when another user connecting to  Remote Desktop

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        remmina
crash_function: gdi_memblt
executable:     /usr/bin/remmina
kernel:         3.11.8-200.fc19.x86_64
package:        remmina-1.0.0-7.fc19
reason:         Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Christoph Wickert 2014-05-22 07:35:20 EDT
Assigning bug to new package maintainer.
Comment 14 Pavel Alexeev 2014-08-18 05:01:38 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.